# BasicClassGroupFactory.h File Reference

`#include "BasicArray.h"`
`#include "BasicClassFactoryBase.h"`
`#include "BasicClassGroup.h"`

Include dependency graph for BasicClassGroupFactory.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | BasicClassGroupFactory
| Manages (de)allocation of groups of classes in a type safe manner. More...